function onBegin()
	disableRetry()
	setPlayerState(11)
	player.DummyAutoAnimate = false
	player.Sprite:Play("bigFall")
	playSound("event:/CC/CC_Pointside/CC_Pointside_jumpscare")
	setFlag("ISLeviathan")
	wait(1.7)
	setPlayerState(0)
	player.DummyAutoAnimate = true
	enableRetry()
	setFlag("LeviathanEnd")
end

function onEnd()
	enableMovement()
	disableRetry()
end